Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackALSARawMidiSendQueue Class Reference
Inheritance diagram for Jack::JackALSARawMidiSendQueue:

## Public Member Functions
| JackALSARawMidiSendQueue (snd_rawmidi_t *rawmidi, size_t bytes_per_poll=0)
JackMidiWriteQueue::EnqueueResult | EnqueueEvent (jack_nframes_t time, size_t size, jack_midi_data_t *buffer)
bool | IsBlocked ()
void | ResetPollByteCount ()
Public Member Functions inherited from Jack::JackMidiSendQueue
virtual jack_nframes_t | GetNextScheduleFrame ()
virtual EnqueueResult | EnqueueEvent (jack_nframes_t time, size_t size, jack_midi_data_t *buffer)=0
EnqueueResult | EnqueueEvent (jack_midi_event_t *event, jack_nframes_t frame_offset=0)
Public Member Functions inherited from Jack::JackMidiWriteQueue
EnqueueResult | EnqueueEvent (jack_midi_event_t *event, jack_nframes_t frame_offset=0)

## Additional Inherited Members
Public Types inherited from Jack::JackMidiWriteQueue
enum | EnqueueResult { BUFFER_FULL, BUFFER_TOO_SMALL, EVENT_EARLY, EN_ERROR, OK }

## Detailed Description

Definition at line 29 of file JackALSARawMidiSendQueue.h.

## Member Function Documentation

## ◆ EnqueueEvent()

Jack::JackMidiWriteQueue::EnqueueResult JackALSARawMidiSendQueue::EnqueueEvent | ( | jack_nframes_t | time,
|  | size_t | size,
|  | jack_midi_data_t * | buffer
| ) |  |
| virtual

Enqueues a data packet in the write queue of `size` bytes contained in `buffer` that will be sent the absolute time specified by `time`. This method should not block unless 1.) this write queue represents the actual outbound MIDI connection, 2.) the MIDI event is being sent now, meaning that `time` is less than or equal to now, and 3.) the method is not being called in the process thread. The method should return `OK` if the event was enqueued, `BUFFER_FULL` if the write queue isn't able to accept the event right now, `BUFFER_TOO_SMALL` if this write queue will never be able to accept the event because the event is too large, `EVENT_EARLY` if this queue cannot schedule events ahead of time, and `EN_ERROR` if an error occurs that cannot be specified by another return code.

Implements Jack::JackMidiWriteQueue.

Definition at line 39 of file JackALSARawMidiSendQueue.cpp.

The documentation for this class was generated from the following files:

- JackALSARawMidiSendQueue.h
- JackALSARawMidiSendQueue.cpp